org.apache.hadoop.yarn.api.records

## Enum QueueACL

- java.lang.Object
- - java.lang.Enum<QueueACL>
  - - org.apache.hadoop.yarn.api.records.QueueACL

- All Implemented Interfaces:
    Serializable, Comparable<QueueACL>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public enum QueueACL
      extends Enum<QueueACL>

  `QueueACL` enumerates the various ACLs for queues.

  The ACL is one of:

  - `SUBMIT_APPLICATIONS` - ACL to submit applications to the queue.
  - `ADMINISTER_QUEUE` - ACL to administer the queue.
  See Also:
    `QueueInfo`, `ApplicationClientProtocol.getQueueUserAcls(org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoRequest)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMINISTER_QUEUE` ACL to administer the queue.
    `SUBMIT_APPLICATIONS` ACL to submit applications to the queue.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueueACL` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueueACL[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUBMIT_APPLICATIONS

          public static final QueueACL SUBMIT_APPLICATIONS

      ACL to submit applications to the queue.

    - #### ADMINISTER_QUEUE

          public static final QueueACL ADMINISTER_QUEUE

      ACL to administer the queue.

  - ### Method Detail

    - #### values

          public static QueueACL[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueueACL c : QueueACL.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueueACL valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 Apache Software Foundation. All rights reserved.